## kf6-kdesu 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KDESu VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateQDoc)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Pty ${KF_DEP_VERSION} REQUIRED)

#optional features
find_package(X11)
set(HAVE_X11 ${X11_FOUND})

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KDESU_USE_SUDO_DEFAULT "Set On to use sudo instead of su [default=Off]" Off)
option(KDESU_USE_DOAS_DEFAULT "Set On to use doas instead of su and sudo [default=Off]" Off)
if(KDESU_USE_SUDO_DEFAULT AND KDESU_USE_DOAS_DEFAULT)
   message(FATAL_ERROR "Choose between sudo(1) or doas(1)")
elseif(KDESU_USE_SUDO_DEFAULT)
  message("Using sudo as default")
elseif(KDESU_USE_DOAS_DEFAULT)
  message("Using doas as default")
else()
  message("Using su as default (set KDESU_USE_SUDO_DEFAULT=On to use sudo)")
endif()

set(kdesu_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kdesu_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KDESU
                        VERSION_HEADER "${kdesu_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                        SOVERSION 6)
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

ki18n_install(po)
add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Su")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6SuConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6SuTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6SuTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kdesu_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu COMPONENT Devel
)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
find_package(Qt6Test REQUIRED)
configure_file(config-kdesutest.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesutest.h)
ecm_add_test(kdesutest.cpp TEST_NAME kdesutest LINK_LIBRARIES Qt6::Test KF6::Su KF6::CoreAddons KF6::ConfigCore)

if(KDESU_USE_SUDO_DEFAULT)
  target_compile_definitions(kdesutest PRIVATE -DKDESU_USE_SUDO_DEFAULT="true")
elseif(KDESU_USE_DOAS_DEFAULT)
  target_compile_definitions(kdesutest PRIVATE -DKDESU_USE_DOAS_DEFAULT="true")
endif()

=== src/kdesud/CMakeLists.txt ===
include(CheckFunctionExists)
check_function_exists(getpeereid HAVE_GETPEEREID) # openbsd style
check_function_exists(getpeereucred HAVE_GETPEERUCRED) # solaris style

check_symbol_exists(close_range "unistd.h" HAVE_CLOSE_RANGE)

configure_file (config-kdesud.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesud.h )

add_executable(kdesud)
ecm_mark_nongui_executable(kdesud)

target_sources(kdesud PRIVATE
   kdesud.cpp
   repo.cpp
   lexer.cpp
   handler.cpp
   secure.cpp
)

ecm_qt_declare_logging_category(kdesud
    HEADER ksud_debug.h
    IDENTIFIER KSUD_LOG
    CATEGORY_NAME kf.su.kdesud
    DESCRIPTION "kdesud (KDESu)"
    EXPORT KSU
)

target_link_libraries(kdesud KF6::Su KF6::I18n ${X11_LIBRARIES})
if(HAVE_X11)
  target_include_directories(kdesud PRIVATE ${X11_X11_INCLUDE_PATH})
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

########### install files ###############

install(TARGETS kdesud DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

=== debian/changelog ===
kf6-kdesu (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:24 +0100

=== debian/control ===
Source: kf6-kdesu
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6pty-dev (>= 6.19.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
Rules-Requires-Root: no

Package: libkf6su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf6su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf6su-dev
Section: libdevel
Architecture: any
Depends: libkf6pty-dev (>= 6.19.0~),
         libkf6su6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6su-doc (= ${source:Version}),
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf6su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6su6
Architecture: any
Multi-Arch: same
Depends: libkf6su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6su-bin (= ${binary:Version}),
Description: Integration with su for privilege escalation
 Framework to handle super user actions

## kf6-kdesu 6.19.0+p24.04+vstable+git20251008.1130

=== debian/changelog ===
kf6-kdesu (6.19.0+p24.04+vstable+git20251008.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:30:06 +0000

kf6-kdesu (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:54:42 +0000

kf6-kdesu (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:42:49 +0000

kf6-kdesu (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:15:32 +0000

kf6-kdesu (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:16:42 +0000

kf6-kdesu (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:45:26 +0000

kf6-kdesu (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:54:30 +1000

kf6-kdesu (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:39:21 +0000

kf6-kdesu (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:56:59 +0000

kf6-kdesu (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:24:04 +0000

kf6-kdesu (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:41:45 +0000

kf6-kdesu (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:26:15 +0000

kf6-kdesu (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:28:23 +0000

kf6-kdesu (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:23:43 +0000

kf6-kdesu (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:30:17 +0000

kf6-kdesu (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:25:11 +0000

kf6-kdesu (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:41:11 +0000

kf6-kdesu (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:29:10 +1000

kf6-kdesu (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:54:32 +0000

kf6-kdesu (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:18:11 +0000

kf6-kdesu (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kdesu (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kdesu 6.19.0+p24.04+vstable+git20251015.1015

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdesu (6.19.0+p24.04+vstable+git20251015.1015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:15:53 +0000

=== debian/control ===
Source: kf6-kdesu
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kpty-dev,
               kf6-kservice-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kdesu
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kdesu.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kdesu
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kdesu
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: sudo, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6su-bin, libkf6su-data, libkf6su-doc, libkf6su6
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: kf6-kdesu-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kdesu (= ${binary:Version}),
         kf6-kpty-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6su-dev
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf6su-bin
Architecture: all
Depends: kf6-kdesu, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6su-data
Architecture: all
Depends: kf6-kdesu, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6su-doc
Architecture: all
Depends: kf6-kdesu, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6su6
Architecture: all
Depends: kf6-kdesu, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6su-dev
Architecture: all
Depends: kf6-kdesu-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kdesu 6.19.0+p24.04+vstable+git20251021.0601

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 include(ECMGenerateQDoc)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kf6-kdesu (6.19.0+p24.04+vstable+git20251021.0601-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:01:22 +0000

## kf6-kdesu 6.19.0+p24.04+vunstable+git20251020.0307

=== debian/changelog ===
kf6-kdesu (6.19.0+p24.04+vunstable+git20251020.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:07:50 +0000

## kf6-kdesu 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -55,7 +55,7 @@
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdesu (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:23 +0100

=== debian/control ===
Source: kf6-kdesu
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6pty-dev (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
Rules-Requires-Root: no

Package: libkf6su-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf6su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf6su-dev
Section: libdevel
Architecture: any
Depends: libkf6pty-dev (>= 6.20.0~),
         libkf6su6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6su-doc (= ${source:Version}),
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf6su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6su6
Architecture: any
Multi-Arch: same
Depends: libkf6su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6su-bin (= ${binary:Version}),
Description: Integration with su for privilege escalation
 Framework to handle super user actions

## kf6-kdesu 6.20.0+p24.04+vunstable+git20251122.0759

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdesu (6.20.0+p24.04+vunstable+git20251122.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:59:45 +0000

kf6-kdesu (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:51 +1000

## kf6-kdesu 6.20.0+p24.04+vunstable+git20251206.0318

=== debian/changelog ===
kf6-kdesu (6.20.0+p24.04+vunstable+git20251206.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:18:52 +0000

## kf6-kdesu 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kf6-kdesu (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:49 +0000

kf6-kdesu (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:18:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,23 +10,22 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6pty-dev (>= 6.20.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6pty-dev (>= 6.21.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: runtime files for kdesu
  Framework to handle super user actions.
  .
@@ -43,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.20.0~),
+Depends: libkf6pty-dev (>= 6.21.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.21.0+p24.04+vstable+git20251207.0817

=== debian/changelog ===
kf6-kdesu (6.21.0+p24.04+vstable+git20251207.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 08:17:35 +0000

kf6-kdesu (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:43 +1000

## kf6-kdesu 6.21.0+p24.04+vstable+git20251231.0057

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
@@ -54,8 +54,8 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 ki18n_install(po)

## kf6-kdesu 6.21.0+p24.04+vunstable+git20251207.0733

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,8 +54,8 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
-    KF 6.21.0
+    QT 6.10.0
+    KF 6.19.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdesu (6.21.0+p24.04+vunstable+git20251207.0733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:33:18 +0000

## kf6-kdesu 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -54,8 +54,8 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdesu (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6pty-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6pty-dev (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
 Standards-Version: 4.7.0
@@ -43,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.21.0~),
+Depends: libkf6pty-dev (>= 6.22.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.22.0+p24.04+vstable+git20260126.0711

=== debian/changelog ===
kf6-kdesu (6.22.0+p24.04+vstable+git20260126.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:11:51 +0000

kf6-kdesu (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:21 +1000

## kf6-kdesu 6.22.0+p24.04+vstable+git20260131.0212

=== debian/changelog ===
kf6-kdesu (6.22.0+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:04 +0000

## kf6-kdesu 6.22.0+p24.04+vunstable+git20260201.0607

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdesu (6.22.0+p24.04+vunstable+git20260201.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:07:34 +0000

## kf6-kdesu 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kf6-kdesu (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:53 +0100

=== debian/control ===
Source: kf6-kdesu
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6pty-dev (>= 6.23.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git

Package: libkf6su-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf6su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf6su-dev
Section: libdevel
Architecture: any
Depends: libkf6pty-dev (>= 6.23.0~),
         libkf6su6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6su-doc (= ${source:Version}),
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf6su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6su6
Architecture: any
Multi-Arch: same
Depends: libkf6su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6su-bin (= ${binary:Version}),
Description: Integration with su for privilege escalation
 Framework to handle super user actions
